-
 input:
   dataset:
     [1, 2, 3, 4, 5]
   length: 5
 output:
   dataset:
      - [1, 2, 3, 4, 5]
   count: 1

-
 input:
   dataset:
     [1, 2, 3, 4, 5]
   length: 3
 output:
   dataset:
     - [1, 2, 3]
     - [1, 2, 4]
     - [1, 2, 5]
     - [1, 3, 4]
     - [1, 3, 5]
     - [1, 4, 5]
     - [2, 3, 4]
     - [2, 3, 5]
     - [2, 4, 5]
     - [3, 4, 5]
   count: 10

-
 input:
   dataset:
     [1, 2, 3, 4, 5]
   length: 4
 output:
   dataset:
     - [1, 2, 3 ,4]
     - [1, 2, 3 ,5]
     - [1, 2, 4 ,5]
     - [1, 3, 4 ,5]
     - [2, 3, 4 ,5]
   count: 5

-
  input:
    dataset:
      - ['element 1']
      - ['element 2']
      - ['element 3']
      - ['element 4']
    length: 3
  output:
    dataset:
      - [['element 1'], ['element 2'], ['element 3']]
      - [['element 1'], ['element 2'], ['element 4']]
      - [['element 1'], ['element 3'], ['element 4']]
      - [['element 2'], ['element 3'], ['element 4']]
    count: 4
